Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.event
Class StructureChangedEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.w3c.tools.resources.event.ResourceEvent
                  |
                  +--org.w3c.tools.resources.event.StructureChangedEvent

public class StructureChangedEvent
extends ResourceEvent

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.event.ResourceEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`StructureChangedEvent(ResourceReference ref, int type)` Create a structure change event.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.w3c.tools.resources.event.ResourceEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructureChangedEvent

    public StructureChangedEvent(ResourceReference ref,
                                 int type)

  Create a structure change event.
  Parameters:
    `source` - The resource emitting the event.
    `type` - The kind of event being emitted.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD